//---------------------------------------------------------------------------
// Example of ANumDLL
//---------------------------------------------------------------------------
#include <Windows.h>
#include <stdio.h>


//---------------------------------------------------------------------------
// DECLARATION OF DLL FUNCTIONS
//---------------------------------------------------------------------------
typedef char __stdcall  (*TANumOpen)  (char index, char *program);
typedef char __stdcall  (*TANumWrite) (char index, char *command);
typedef char __stdcall  (*TANumClose) (char index);
TANumOpen  ANumOpen;
TANumWrite ANumWrite;
TANumClose ANumClose;
HINSTANCE  hDLL;


//---------------------------------------------------------------------------
// DLL Using
//---------------------------------------------------------------------------
int main(int argc, char* argv[])
{
    char  cRet;

    // INITIALIZATION OF DLL FUNCTIONS
    // Dynamic loading
    hDLL=LoadLibrary("ANum.dll");
    if (hDLL)
    {
        // Function pointers
        ANumOpen=(TANumOpen)GetProcAddress(hDLL, "ANumMasterOpen");
        ANumWrite=(TANumWrite)GetProcAddress(hDLL, "ANumMasterWrite");
        ANumClose=(TANumClose)GetProcAddress(hDLL, "ANumMasterClose");

        // Run GeneRF
        cRet=ANumOpen(0, "C:\\Datas\\Creat\\GeneRF\\GeneRF.exe");       // Must return 00
        printf("Load GeneRF, return code=%d\r\n", cRet);

        // Wait 100ms initialization program
        Sleep(100);

        // Load a configuration file
        cRet=ANumWrite(0, "LoadConfiguration>TstDLL.cfg");              // Must return 00
        printf("Load configuration, return code=%d\r\n", cRet);

        // Send a predefined frame
        cRet=ANumWrite(0, "SendF>Frame ASK");                           // Must return 00
        printf("Send frame, return code=%d\r\n", cRet);

        Sleep(1000);

        // Close GeneRF
        ANumClose(0);
        printf("End\r\n");
    }

    // In case of error
    else
    {
        printf("Error: no DLL\r\n");
    }
    return 0;
}
//---------------------------------------------------------------------------
